
Redmine - Defect #2212

email notification for Issues don't work

2008-11-18 15:27 - Carsten Schurig

Status: Closed Start date: 2008-11-18

Priority: Urgent Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Notification for issues dosn't work at all for us now. Sending notifications is activated (and actually it does work for adding news;

tested for the same project).

If I create a ticket, neither the assigned person nor users which want notifications on this project get any email at all.

Even if I subscribe to an issue, no notification is sent on changes...

I consider this a show stopper for a system like Redmine.

Redmine Version is: 0.7.3.devel.2043

History

#1 - 2008-11-18 18:14 - Jean-Philippe Lang

I can't do much without additional information since I can't reproduce this problem.

To turn email debugging on, comment out this line in config/environments/production.rb:

config.action_mailer.logger = nil

 then restart the app and create a new ticket.

Please tell me if you see a raw email dump in your log file.

You can also comment out this line:

config.action_mailer.raise_delivery_errors = false

 so that an exception is raised if the email delivery fails.

#2 - 2008-11-18 18:45 - Carsten Schurig

I think there might be a problem with my ROR installation. I just wonder, why it works for sending news notifications. The output after enabling the

logging and delivery error raising I get the following:

Net::SMTPFatalError (550 5.7.1 Unable to relay

):

    /usr/lib/ruby/1.8/net/smtp.rb:930:in `check_response'

    /usr/lib/ruby/1.8/net/smtp.rb:899:in `getok'

    /usr/lib/ruby/1.8/net/smtp.rb:842:in `rcptto'

    /usr/lib/ruby/1.8/net/smtp.rb:834:in `rcptto_list'

    /usr/lib/ruby/1.8/net/smtp.rb:833:in `each'

    /usr/lib/ruby/1.8/net/smtp.rb:833:in `rcptto_list'

    /usr/lib/ruby/1.8/net/smtp.rb:654:in `sendmail'

    /var/lib/gems/1.8/gems/actionmailer-2.1.0/lib/action_mailer/base.rb:629:in `perform_delivery_smtp'

    /usr/lib/ruby/1.8/net/smtp.rb:526:in `start'

    /usr/lib/ruby/1.8/net/smtp.rb:463:in `start'

    /var/lib/gems/1.8/gems/actionmailer-2.1.0/lib/action_mailer/base.rb:627:in `perform_delivery_smtp'

    /var/lib/gems/1.8/gems/actionmailer-2.1.0/lib/action_mailer/base.rb:508:in `__send__'

    /var/lib/gems/1.8/gems/actionmailer-2.1.0/lib/action_mailer/base.rb:508:in `deliver!'

    /app/models/mailer.rb:154:in `deliver!'

    /var/lib/gems/1.8/gems/actionmailer-2.1.0/lib/action_mailer/base.rb:383:in `method_missing'

    /app/controllers/issues_controller.rb:145:in `new'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1162:in `send'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1162:in `perform_action_without_filt

ers'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:580:in `call_filters'
    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:573:in `perform_action_without_be

nchmark'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:68:in `perform_action_withou

t_rescue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:68:in `perform_action_withou

t_rescue'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/rescue.rb:201:in `perform_action_without_cac

hing'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/caching/sql_cache.rb:13:in `perform_action'

    /var/lib/gems/1.8/gems/activerecord-2.1.0/lib/active_record/connection_adapters/abstract/query_cache.rb:33

:in `cache'

    /var/lib/gems/1.8/gems/activerecord-2.1.0/lib/active_record/query_cache.rb:8:in `cache'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/caching/sql_cache.rb:12:in `perform_action'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:529:in `send'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:529:in `process_without_filters'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:569:in `process_without_session_m

anagement_support'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/session_management.rb:130:in `process'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:389:in `process'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:149:in `handle_request'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:107:in `dispatch'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:104:in `synchronize'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:104:in `dispatch'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:120:in `dispatch_cgi'

    /var/lib/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:35:in `dispatch'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:76:in `process'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in `synchronize'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in `process'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:159:in `process_client'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in `each'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in `process_client'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `run'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `initialize'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `new'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `run'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `initialize'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `new'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `run'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:282:in `run'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in `each'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in `run'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:128:in `run'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/command.rb:212:in `run'

    /var/lib/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:281

    /var/lib/gems/1.8/bin/mongrel_rails:19:in `load'

    /var/lib/gems/1.8/bin/mongrel_rails:19

#3 - 2008-11-18 23:21 - Carsten Schurig

Looking at the code I think it might be a problem with getting the recipients.

Is there an easy way to dump what Redmine is trying to do? I would like to see, to whom exactly Redmine is trying to send mail to.

#4 - 2008-11-20 05:40 - Ewan Makepeace

I think it is here:

Net::SMTPFatalError (550 5.7.1 Unable to relay):

You are trying to send your emails through an SMTP server that is set to block mail relaying or otherwise not configured as you need. Probably an

email configuration issue rather than a redmine problem?

#5 - 2008-11-20 09:54 - Carsten Schurig

You are trying to send your emails through an SMTP server that is set to block mail relaying or otherwise not configured as you need. Probably

an email configuration issue rather than a redmine problem?

 Well, that's the strange about it: it does work notification of new news.

What is the difference in sending a new news notification and a ticket information? I don't even see an event in the mail server logs (Exchange
2007R2) for those mails, that don't get sent.

#6 - 2008-11-20 10:18 - Carsten Schurig

BTW I forgot to mention that it did work with earlier Redmine versions (unfortunately I can't tell you, when it broke for me). And I didn't change any

email configuration after this.

#7 - 2008-11-24 16:35 - Carsten Schurig

- Status changed from New to Resolved

- % Done changed from 0 to 100

Indeed it was a misconfiguration of the mail server.

Which still doesn't solve the mystery, why it did work for some type of notifications...

#8 - 2008-11-25 18:29 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (devel)

- Resolution set to Invalid

OK, thanks for the feedback.

#9 - 2016-12-22 10:31 - Aleksandar Pavic

- File email_error.png added

I can confirm this error is in newer versions of Redmine also.

The proposed solution is not good, it would be better to display error like when email notifications are tested and test fails.

 email_error.png 

Currently I ended up wasting time debugging this, which caused internal error and user confusion:

Completed 500 Internal Server Error in 1616ms (ActiveRecord: 14.5ms)

Net::SMTPFatalError (550 User not found: somebody@somewhere.com

):

  app/models/mailer.rb:502:in `deliver_mail'

  config/initializers/10-patches.rb:163:in `deliver'

  app/models/email_address.rb:95:in `deliver_security_notification'

  app/models/email_address.rb:76:in `deliver_security_notification_update'

 So instead of giving 500 page, an notification with error that SMTP server returned would be good solution.
